org.eclipse.graphiti.mm.pictograms

## Interface AnchorContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PictogramElement, PropertyContainer

All Known Subinterfaces:
  CompositeConnection, Connection, ConnectionDecorator, ContainerShape, CurvedConnection, Diagram, FreeFormConnection, ManhattanConnection, Shape

All Known Implementing Classes:
  AnchorContainerImpl, CompositeConnectionImpl, ConnectionDecoratorImpl, ConnectionImpl, ContainerShapeImpl, CurvedConnectionImpl, DiagramImpl, FreeFormConnectionImpl, ManhattanConnectionImpl, ShapeImpl

    public interface AnchorContainer
    extends PictogramElement

A representation of the model object 'Anchor Container'.

The following features are supported:

- `Anchors`

See Also:
  `PictogramsPackage.getAnchorContainer()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Anchor>` `getAnchors()` Returns the value of the 'Anchors' containment reference list.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getAnchors

    org.eclipse.emf.common.util.EList<Anchor> getAnchors()

Returns the value of the 'Anchors' containment reference list. The list contents are of type `Anchor`. It is bidirectional and its opposite is '`Parent`'.

If the meaning of the 'Anchors' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Anchors' containment reference list.
See Also:
  `PictogramsPackage.getAnchorContainer_Anchors()`, `Anchor.getParent()`